<?php
include_once '../sys/inc/start.php';
$doc = new document(4);
$doc -> title = 'Редактирование новости';
$doc -> ret ('К новостям','./');


$id = (int)@$_GET['id'];

$q = mysql_query("SELECT * FROM `news` WHERE `id` = '$id' LIMIT 1");

if (!mysql_num_rows($q))$doc -> access_denied('Новость не найдена или удалена');





$news = mysql_fetch_assoc($q);

$ank = new user($news['id_user']);

if ($ank->group > $user -> group)$doc -> access_denied('У Вас нет прав для редактирования данной новости');



$news_e = &$_SESSION['news_edit'];




if (isset($_POST['clear']))$news_e = array();

if (empty($news_e))
{
$news_e = array();
$news_e['title'] = $news['title'];
$news_e['text'] = $news['text'];
$news_e['checked'] = false;
}



if ($news_e['checked'] && isset($_POST['send']))
{
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!==$_POST['chislo'])
$doc -> err('Ошибка при вводе чисел с картинки');
else
{


mysql_query("UPDATE `news` SET `title` = '".my_esc($news_e['title'])."', `id_user` = '$user->id', `text` = '".my_esc($news_e['text'])."', `sended` = '0' WHERE `id` = '$id' LIMIT 1");

$doc -> msg('Новость успешно отредактирована');
$news_e = array();
header('Refresh: 1; ./');
exit;
}
}




if (isset($_POST['edit']))$news['checked'] = 0;

if (isset($_POST['next']))
{
$title=text::for_name($_POST['title']);
$text=text::input_text($_POST['text']);

if (!$title)$doc -> err('Заполните "Заголовок новости"');
else $news_e['title'] = $title;
if (!$text)$doc -> err('Заполните "Текст новости"');
else $news_e['text'] = $text;

if ($title && $text)$news_e['checked'] = 1;
}



$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?id='.$id.'&amp;'.passgen());
$elements=array();
$elements[]=array('type'=>'input_text', 'title'=>'Заголовок новости', 'br'=>1, 'info'=>array('name'=>'title', 'value'=> $news_e['title'] , 'disabled'=>$news_e['checked']));
$elements[]=array('type'=>'textarea', 'title'=>'Текст новости', 'br'=>1, 'info'=>array('name'=>'text', 'value'=> $news_e['text'], 'disabled'=>$news_e['checked']));

if ($news_e['checked'])
{
$elements[]=array('type'=>'captcha','br'=>1); // капча
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'edit', 'value'=>'Редактировать')); // кнопка
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'send', 'value'=>'Применить изменения')); // кнопка
}
else
{
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'clear', 'value'=>'Очистить')); // кнопка
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name' =>'next', 'value'=>'Далее')); // кнопка
}

$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
?>
